/*
 * config.h
 *
 * Created: 3.6.2015 14:07:32
 *  Author: maticpi
 */ 

#ifndef CONFIG_H_
#define CONFIG_H_

#define F_CPU 18432000UL
#define BAUD1 115200UL
#define BAUD0 115200UL

#define TLC59401_COUNT				2

#define NUMBER_OF_DC_SETTINGS		3
#define EEPROM_ADDRESS_DC_DATA		0	//16 bytes * Number_Of_TLC59401s*NUMBER_OF_DC_SETTINGS
#define EEPROM_ADDRESS_CAL_DATA		(16*TLC59401_COUNT*NUMBER_OF_DC_SETTINGS)	//12 bytes
#define EEPROM_ADDRESS_USAGE		(EEPROM_ADDRESS_CAL_DATA+12)	//4 bytes
#define EEPROM_ADDRESS_TMP_USAGE	(EEPROM_ADDRESS_USAGE+4)	//x bytes	- for wear leveling
#define EEPROM_TMP_USAGE_BUF_SIZE	128

#endif /* CONFIG_H_ */