/*
 * kbd.c
 *
 * Created: 5.6.2014 16:45:06
 *  Author: maticpi
 */ 

#include "kbd.h"

char lastkey;

void ReadKBD()
{
	static char oldD;						//holds the old value of the keyboard IO port
	char newD = PIND & 0x3C;				//get the new value of the IO port (keys are connected to PD2, PD3, PD4 and PD5)

	if (!(newD & 0x04) && (oldD & 0x04))
	{
		lastkey=1;
	}
	if (!(newD & 0x08) && (oldD & 0x08))
	{
		lastkey=2;
	}
	if (!(newD & 0x10) && (oldD & 0x10))
	{
		lastkey=3;
	}
	if (!(newD & 0x20) && (oldD & 0x20))
	{
		lastkey=4;
	}

	oldD=newD;								//update oldD
}

char GetKey()
{
	char tmp=lastkey;
	lastkey=0;
	return tmp;
}